Summary:	Tools to create anonymous, machine-friendly problem reports
Summary(pl.UTF-8):	Analizator śladów wywołań tworzonych przez GDB
Name:		satyr
Version:	0.11
Release:	2
License:	GPL v2+
Group:		Development/Tools
Source0:	https://fedorahosted.org/released/abrt/%{name}-%{version}.tar.xz
# Source0-md5:	09f28faae607a63e66fbf86bca16904b
Patch0:		%{name}-libopcodes.patch
Patch1:		%{name}-rpm5.patch
Patch2:		%{name}-rpm45.patch
URL:		http://fedorahosted.org/abrt/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	binutils-devel
BuildRequires:	elfutils-devel
BuildRequires:	libtool
BuildRequires:	libunwind-devel >= 1.1
BuildRequires:	pkgconfig
BuildRequires:	rpm-devel
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	sphinx-pdg
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Satyr is a library that can be used to create and process
microreports. Microreports consist of structured data suitable to be
analyzed in a fully automated manner, though they do not necessarily
contain sufficient information to fix the underlying problem. The
reports are designed not to contain any potentially sensitive data to
eliminate the need for review before submission. Included is a tool
that can create microreports and perform some basic operations on
them.

%description -l pl.UTF-8
Satyr to biblioteka do tworzenia i przetwarzania mikroraportów.
Mikroraporty składają się ze strukturalnych danych nadających się do
analizy w sposób całkowicie automatyczny, ale niekoniecznie
zawierających pełne informacje do naprawienia problemu. Raporty są
zaprojektowane tak, żeby nie zawierały żadnych potencjalnie wrażliwych
danych, aby nie było potrzeby przeglądania ich przed wysłaniem. Do
pakietu jest dołączone narzędzie potrafiące tworzyć mikroraporty i
wykonywać na nich podstawowe operacje.

%package libs
Summary:	Satyr library - automatic problem management with anonymous reports
Summary(pl.UTF-8):	Biblioteka Satyr do automatycznego zarządzania problemami z anonimowymi zgłoszeniami
Group:		Libraries

%description libs
Satyr library - automatic problem management with anonymous reports.

%description libs -l pl.UTF-8
Biblioteka Satyr do automatycznego zarządzania problemami z
anonimowymi złoszeniami.

%package devel
Summary:	Header files for Satyr library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Satyr
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for Satyr library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Satyr.

%package -n python-satyr
Summary:	Python bindings for Satyr library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki Satyr
Group:		Libraries/Python
Requires:	%{name}-libs = %{version}-%{release}
Requires:	python-modules

%description -n python-satyr
Python bindings for Satyr library.

%description -n python-satyr -l pl.UTF-8
Wiązania Pythona do biblioteki Satyr.

%prep
%setup -q
%patch0 -p1
%if "%{_rpmversion}" >= "5.0"
%patch1 -p1
%else
%patch2 -p1
%endif

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la $RPM_BUILD_ROOT%{py_sitedir}/satyr/*.la

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/satyr
%{_mandir}/man1/satyr.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsatyr.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libsatyr.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsatyr.so
%{_includedir}/satyr
%{_pkgconfigdir}/satyr.pc

%files -n python-satyr
%defattr(644,root,root,755)
%dir %{py_sitedir}/satyr
%{py_sitedir}/satyr/__init__.py[co]
%attr(755,root,root) %{py_sitedir}/satyr/_satyr.so
%{_mandir}/man3/satyr-python.3*
%changelog
* Tue Dec 03 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/satyr.git;a=log;h=master

* Tue Dec 03 2013 Jan Rękorajski <baggins@pld-linux.org> f2fc9de
- rebuild with binutils 2.24.51.0.1
- release 2 (by relup.sh)

* Sun Oct 27 2013 Jakub Bogusz <qboosh@pld-linux.org> 4c5035c
- updated to 0.11

* Sun Sep 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 02dde5c
- BR: sphinx-pdg

* Sat Sep 21 2013 Jakub Bogusz <qboosh@pld-linux.org> 8f9a4bf
- updated to 0.9
- updated rpm5/rpm45 patches
- removed obsolete format patch

* Tue Sep 03 2013 Jakub Bogusz <qboosh@pld-linux.org> 61deac4
- updated to 0.7
- updatd rpm45/rpm5 patches

* Thu Jul 25 2013 Jakub Bogusz <qboosh@pld-linux.org> b6a6e0d
- added format patch (fixes build with -Werror=format-security)

* Thu Jul 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 8d8d8ec
- updated to 0.5
- updated rpm5/rpm45 patches

* Thu May 02 2013 Jan Rękorajski <baggins@pld-linux.org> 846a6c4
- release 3 (by relup.sh)

* Thu Apr 11 2013 Jan Rękorajski <baggins@pld-linux.org> e5196fa
- release 2 (by relup.sh)

* Sat Apr 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 369dfdd
- completed rpm5 patch

* Sat Apr 06 2013 Jakub Bogusz <qboosh@pld-linux.org> ad566da
- new (btparser successor)
- libopcodes patch to use shared libopcodes
- rpm45/rpm5 patch for PLD rpm 4.5/5.x compatibility (instead of rpm.org 4.6+)

